Subject: Re: bash and '&'
From: [email-masked] (Wei Ku)

7 Apr 1998 05:42:22 -0700
Message-ID: <[email-masked]>
Reply-To: "Wei Ku" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Earnie Boyd" <[email-masked]>
Cc: <[email-masked]>

I got the exactly result from b19. Ghostview& is still alive after exit from
bash. However, the console window does not disappear until Ghostview is
closed. This is slightly different from the situation in true UNIX machine.

I would guess that Mr. Sergey Okhapkin has a clear idea why the console
window is still there.

Wei Ku

-----Original Message-----
From: Earnie Boyd <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Wednesday, April 01, 1998 7:55 AM
Subject: Re: bash and '&'

>Well, now that you've got me to thinking about it, tcsh on AIX will do
>what you are saying also.  I can start a background job, exit and the
>background job still lives.
>
>On NT using cygwinb18:
>bash$ wish42 &
>bash$ exit
>
>This will leave wish running and remove the console window.
>
>On NT using cygwinb19:
>bash$ wish42 &
>bash$ exit
>
>This will leave wish running, will exit bash, but will leave the console
>window up.  This is true with or without job control.  This is true even
>with the disown of the job.
>
>-        \\||//
>---o0O0--Earnie--0O0o----
>[email-masked]
>------ooo0O--O0ooo-------
>
>
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".